.TH FEDMSG-TRIGGER 1

.SH NAME
fedmsg-trigger \- run a command when messages arrive on the fedmsg bug

.SH SYNOPSIS
.PP
.B fedmsg\-trigger
.RB [ \-\-topic
.IR TOPIC ]
.RB [ \-\-exclude
.IR REGEXP ]
.RB [ \-\-include
.IR REGEXP ]
.BI "\-\-command " COMMAND
.RI [ "<common fedmsg options>" ]
.PP
.B fedmsg\-trigger
.RB [ \-h | \-\-help ]


.SH DESCRIPTION
.PP
.B fedmsg-trigger
runs the command
.I COMMAND
every time a message matching the filtering options is received on the
fedmsg bus. It passes the contents of the received message on the
standard input of the command.

.SH OPTIONS
.TP
.BR \-h ", " \-\-help
Print an help message and exit
.TP
.BR "\-\-command " COMMAND
Command to run when a message matches our criteria.

.PP
.B FILTERING
.TP
.BR "\-\-topic " TOPIC
The topic pattern to listen for. Everything by default.
.TP
.BR "\-\-exclude " REGEXP
Only show topics that do not match the supplied regexp.
.TP
.BR "\-\-include " REGEXP
Only show topics that match the supplied regexp.

.SH COMMON FEDMSG OPTIONS
.TP
.BR "\-\-io\-threads " IO_THREADS
Number of io threads for 0mq to use
.TP
.BR "\-\-topic\-prefix " TOPIC_PREFIX
Prefix for the topic of each message sent.
.TP
.BR "\-\-post\-init\-sleep " POST_INIT_SLEEP
Number of seconds to sleep after initializing.
.TP
.BR "\-\-config\-filename " CONFIG_FILENAME
Config file to use.
.TP
.BR \-\-print\-config
Simply print out the configuration and exit. No action taken.
.TP
.BR "\-\-timeout " TIMEOUT
Timeout in seconds for any blocking zmq operations.
.TP
.BR "\-\-high\-water\-mark " HIGH_WATER_MARK
Limit on the number of messages in the queue before
blocking.
.TP
.BR "\-\-linger " ZMQ_LINGER
Number of milliseconds to wait before timing out connections.

.SH AUTHORS
.TP
.BR "The Fedora Infrastructure team" " <\&messaging\-sig@lists\&.fedoraproject\&.org\&>"
.RB "Wrote the " fedmsg " software\&."
.TP
.BR "Nicolas Dandrimont" " <\&olasd@debian\&.org\&>"
Wrote this manpage for the Debian system\&.

.SH COPYRIGHT
.br
Copyright \(co 2014 Nicolas Dandrimont
.br
.PP
This manual page was written for the Debian system (and may be used by
others)\&.
.PP
You can redistribute it and/or modify it under the terms of the GNU
Lesser General Public License as published by the Free Software
Foundation; either version 2.1 of the License, or (at your option) any
later version.
.PP
On Debian systems, a copy of the license can be found in the
.I /usr/share/common-licenses/LGPL-2.1
file.
.sp
